

#include "ble.h"
#include "systick.h"
#include <stdint.h>
#include <stdio.h>

uint32_t cunt = 0;

void run_info(void)
{
    static uint32_t tick = 0;
    if (tick == 0)
    {
        tick = get_systick_ms();
    }

    if (get_systick_ms() - tick > 10000)
    {
        printf("test");
        tick = 0;
    }
}

void ble_main_loop()
{
    ble_loop();
}

#define BLE_EN 1

void ble_task(void)
{
    static uint32_t cnt = 0;

#if (BLE_EN == 1)
    run_info();
    ble_main_loop();
#endif
    cnt++;

    if (cnt >= 200)
    {
        cunt++;
        cnt = 0;
    }
}